#ifndef GRAFEDITOR_H
#define GRAFEDITOR_H

#include "ofMain.h"
#include "guiSlider.h"

class grafEditor
{
    public:
        grafEditor();
        virtual ~grafEditor();

        void setup(int x, int y, int w, int h);
        bool update(int x, int y);
        void updateMax( int max );
        void draw();

        int getStart();
        int getEnd();



    protected:

        guiSlider slider_start;
        guiSlider slider_end;

        int x,y,w,h;


    private:
};

#endif // GRAFEDITOR_H
